"""
This is an example Python dialplan application.

You would execute it as:

exten => 1234,1,SetVar(HELLO=Hi There)
exten => 1234,2,Python(PyAsteriskScripts.HelloWorld)

"""

def execute(c):
    from PyAsterisk import Channel, verbose

    chan = Channel(c)
    
    verbose("Hello world from %s (%s)" % (chan.name, chan["HELLO"]))

    chan.hangup()
