#ifndef PY_ASTERISK_H
#define PY_ASTERISK_H

#define PyASTERISK_LIB_DIR ASTERISK_CONFIG_DIR "/PyAsterisk"
#define PyASTERISK_DEFAULT_ACCOUNTCODE "PyAsterisk"
#define PyASTERISK_CONFIG_SCRIPT "PyAsteriskConfig"

#define PyASTERISK_NAME "PyAsterisk"
#define PyASTERISK_COPYRIGHT "Copyleft (.) 2004 Consultants Ars Informatica S.A.R.F."

struct localuser;
int ResPyAsteriskUserAdd(struct ast_channel *, struct localuser *);
int ResPyAsteriskUserRemove(struct ast_channel *, struct localuser *);
PyInterpreterState *ResPyAsteriskInterpreter(void);

PyObject *PyAsterisk_BuildCdrObj(struct ast_cdr *);
PyObject *PyAsterisk_BuildChannelObj(struct ast_channel *);

#endif /* PY_ASTERISK_H */
